<?php
// Import framework stuff
use Org\Mxchange\CoreFramework\Bootstrap\FrameworkBootstrap;

/**
 * Configuration entries for this application only
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2020 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Some hub-specific configuration like port hostname where we will listen, etc.
$cfg = FrameworkBootstrap::getConfigurationInstance();

// CFG: DEFAULT-CONSOLE-COMMAND
$cfg->setConfigEntry('default_console_command', 'main');

// CFG: DEFAULT-TESTS-CONSOLE-COMMAND
$cfg->setConfigEntry('default_tests_console_command', 'main');

// CFG: DEFAULT-TESTS-CONSOLE-CONTROLLER
$cfg->setConfigEntry('default_tests_console_controller', 'main');

// CFG: TESTS-CONSOLE-CMD-MAIN-RESOLVER-CLASS
$cfg->setConfigEntry('tests_console_cmd_main_resolver_class', 'Org\Mxchange\CoreFramework\Tests\Resolver\Command\TestsConsoleCommandResolver');

// CFG: NEWS-DOWNLOAD-FILTER-CLASS
$cfg->setConfigEntry('news_download_filter_class', 'Org\Mxchange\CoreFramework\Filter\News\NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER-CLASS
$cfg->setConfigEntry('news_process_filter_class', 'Org\Mxchange\CoreFramework\Filter\News\NewsProcessFilter');

// CFG: NEWS-READER-MAIN-CLASS
$cfg->setConfigEntry('news_reader_main_class', 'Org\Mxchange\CoreFramework\Reader\News\Console\ConsoleNewsReader');

// CFG: NEWS-MAIN-LIMIT
$cfg->setConfigEntry('news_main_limit', 5);

// CFG: TESTS-PHP-REQUIREMENTS-FILTER
$cfg->setConfigEntry('tests_php_requirements_filter_class', 'Org\Mxchange\CoreFramework\Tests\Filter\Requirements\TestsPhpRequirementsFilter');

// CFG: TEST-CONFIGURATION-CLASSES-LOADABLE-TEST-FILTER-CLASS
$cfg->setConfigEntry('tests_configuration_classes_loadable_test_filter_class', 'Org\Mxchange\CoreFramework\Tests\Filter\Configuration\Classes\TestConfigurationLoadableClassesFilter');

// CFG: TEST-CONSOLE-CONTROLLER-RESOLVER-CLASS
$cfg->setConfigEntry('tests_console_controller_resolver_class', 'Org\Mxchange\CoreFramework\Tests\Resolver\Controller\TestsConsoleControllerResolver');
